Page MenuHomePhabricator

Add fade to reference contents if it is larger than 5 lines
Closed, ResolvedPublic2 Story Points

Description

Acceptance Criteria

  • The 5th line is faded out, if there are more than 5 lines in total
  • This goes for all content, even if it is not (usually) linebased
  • Upon scrolling the 5th line stays faded as long as there is even more content to come (so the very last text line will not be faded out)

E.g. see mocks in the button right corner:

Notes

  • For now, we are not adding a fade to horizontal scrolling situations

Event Timeline

Lea_WMDE created this task.Feb 26 2019, 2:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2019, 2:47 PM
Lea_WMDE triaged this task as Normal priority.Feb 26 2019, 2:49 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 5.
Andrew-WMDE moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-02-20 board.

Change 493465 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/Popups@master] [WIP] Add a fade out to reference content

https://gerrit.wikimedia.org/r/493465

thiemowmde removed Andrew-WMDE as the assignee of this task.Mar 4 2019, 12:00 PM
thiemowmde moved this task from Doing to Sprint Backlog on the WMDE-QWERTY-Sprint-2019-02-20 board.
thiemowmde added a subscriber: Andrew-WMDE.
WMDE-Fisch changed the point value for this task from 5 to 1.

Change 493465 had a related patch set uploaded (by WMDE-Fisch; owner: Andrew-WMDE):
[mediawiki/extensions/Popups@master] Add a fade out to reference content

https://gerrit.wikimedia.org/r/493465

WMDE-Fisch changed the point value for this task from 1 to 2.

Change 493465 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Add a fade out to reference content

https://gerrit.wikimedia.org/r/493465

Lea_WMDE closed this task as Resolved.Mar 28 2019, 3:42 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Season-Sprint-2019-03-20 board.
Lea_WMDE claimed this task.